## primesieve 5.6.0+ds

=== debian/changelog ===
primesieve (5.6.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Debianization:
    - debian/copyright:
      - Files-Excluded field, refine;
    - debian/control, upgrade SO version to version 6;
    - debian/libprimesieve5*, idem;
    - debian/rules, idem;
    - debian/clean, refresh;
    - debian/adhoc/Makefile, idem.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 19 Dec 2015 19:39:29 +0000

primesieve (5.5.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Debianization:
    - debian/rules, refresh;
    - debian/adhoc/Makefile, update.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 09 Nov 2015 22:26:13 +0000

primesieve (5.5.0~rc1+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #802513)

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 27 Oct 2015 21:00:34 +0000
