=== debian/tests/control ===
Tests: make-check
Depends: primesieve-bin

Tests: build-examples
Depends: primesieve-doc, libprimesieve-dev, build-essential, pkg-config
