=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds//,uversionmangle=s/-rc/~rc/,repacksuffix=+ds,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/primesieve-$1\.tar\.gz/ \
https://github.com/kimwalisch/primesieve/releases .*/v?(\d\S*)\.tar\.gz
