## primesieve 5.7.1+ds

=== debian/changelog ===
primesieve (5.7.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Debianization:
    - debian/copyright, refresh;
    - debian/patches/:
      - d/p/upstream-source-CPP2help2man.patch, reintroduce.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 18 Aug 2016 01:55:09 +0000

primesieve (5.7.0+ds-2) unstable; urgency=medium

  * RC bug fix release (Closes: #833870), harden libdev transition.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 10 Aug 2016 00:58:23 +0000

primesieve (5.7.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Debianization:
    - debian/watch:
      - bump to 4;
      - repack option, add;
    - debian/control:
      - upgrade SO version to version 7;
      - Suggests/Enhances fields, revisit;
    - debian/libprimesieve6*, bump to version 7;
    - debian/rules, refresh;
    - debian/adhoc/:
      - d/a/cpp/Makefile, harden;
    - refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 04 Aug 2016 15:00:58 +0000

primesieve (5.6.0+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/copyright:
      - refresh;
    - debian/control:
      - discard the debug symbols package libbliss1d-dbg;
      - Standards Version, bump to 3.9.8 (no change);
      - Vcs-Git header, secure;
    - debian/rules:
      - discard the debug symbols material (see above);
      - dpkg-buildflags, add hardening=+all;
    - reproducible build, attempt.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 14 May 2016 14:34:00 +0000
