=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 export DEB_PKG_VERSION = $(shell dpkg-parsechangelog -S Version)
 
@@ -39,16 +41,12 @@
 	$(MAKE) -C _build install-data-am DESTDIR=$(CURDIR)/debian/tmp
 
 override_dh_installdocs:
-	dh_installdocs -pprimesieve-bin     --link-doc=libprimesieve6
-	dh_installdocs -plibprimesieve6-dbg --link-doc=libprimesieve6
-	dh_installdocs -plibprimesieve6-dev --link-doc=libprimesieve6-dev-common
+	dh_installdocs -pprimesieve-bin     --link-doc=libprimesieve7
+	dh_installdocs -plibprimesieve7-dev --link-doc=libprimesieve7-dev-common
 	dh_installdocs --remaining-packages
 
 override_dh_compress-indep:
 	dh_compress -X.pdf -Xexamples
-
-override_dh_strip:
-	dh_strip --dbg-package=libprimesieve6-dbg
 
 get-orig-source:
 	uscan --no-conf --download-current-version --compression xz --verbose
