## primesieve 5.7.2+ds

=== debian/changelog ===
primesieve (5.7.2+ds-2) unstable; urgency=medium

  * RC bug fix release (Closes: #860664), neutralize the heavy test that
    challenges resources.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 22 Apr 2017 14:59:07 +0000

primesieve (5.7.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * Debianization:
    - debian/copyright, update;
    - debian/rules, refresh;
    - debian/adhoc/Makefile, ad hoc manpage machinery, discard;
    - debian/patches/*:
      - d/p/upstream-source-CPP2help2man.patch, discard;
      - d/p/upstream-autotoolization-manpages.patch, introduce and submit;
      - d/p/debianization, refresh;
    - refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 15 Nov 2016 02:08:05 +0000
