=== debian/control ===
--- 
+++ 
@@ -5,12 +5,11 @@
 Priority: optional
 Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf, libtool, help2man
 Build-Depends-Indep:
- doxygen, graphviz,
- texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended,
+ doxygen, doxygen-latex, graphviz,
  rdfind, symlinks
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/primesieve.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/primesieve.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/primesieve.git
 Homepage: http://primesieve.org/
 
 Package: primesieve
@@ -25,7 +24,7 @@
  .
  This dummy package provides the standard installation.
 
-Package: libprimesieve6
+Package: libprimesieve7
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -43,14 +42,14 @@
  .
  This package provides the shared library.
 
-Package: libprimesieve6-dev
+Package: libprimesieve7-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
 Depends:
- libprimesieve6 (= ${binary:Version}), libprimesieve6-dev-common (= ${source:Version}),
+ libprimesieve7 (= ${binary:Version}), libprimesieve7-dev-common (= ${source:Version}),
  ${misc:Depends}
-Suggests: pkg-config
+Suggests: primesieve-doc (= ${source:Version}), pkg-config
 Conflicts: libprimesieve-dev
 Provides: libprimesieve-dev
 Description: fast prime number generator C/C++ library -- libdev
@@ -63,12 +62,14 @@
  This package provides the static library and symbolic links needed
  for development.
 
-Package: libprimesieve6-dev-common
+Package: libprimesieve7-dev-common
 Architecture: all
 Multi-Arch: foreign
+Replaces: libprimesieve6-dev-common
+Breaks: libprimesieve6-dev-common
 Section: libdevel
 Depends: ${misc:Depends}
-Recommends: libprimesieve6-dev (= ${binary:Version})
+Recommends: libprimesieve7-dev (= ${binary:Version})
 Provides: libprimesieve-dev-common
 Description: fast prime number generator C/C++ library -- headers
  primesieve is a free software program and C/C++ library that generates
@@ -83,6 +84,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: primesieve-doc (= ${source:Version})
 Description: fast prime number generator C/C++ library -- bin
  primesieve is a free software program and C/C++ library that generates
  primes using a highly optimized sieve of Eratosthenes implementation.
@@ -92,30 +94,13 @@
  .
  This package provides the command line utility primesieve.
 
-Package: libprimesieve6-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Priority: extra
-Depends: libprimesieve6 (= ${binary:Version}), ${misc:Depends}
-Conflicts: libprimesieve-dbg
-Provides: libprimesieve-dbg
-Description: fast prime number generator C/C++ library -- debug
- primesieve is a free software program and C/C++ library that generates
- primes using a highly optimized sieve of Eratosthenes implementation.
- primesieve can generate primes and prime k-tuplets up to nearly 2^64.
- .
- See http://primesieve.org/ for more information.
- .
- This package provides the debugging symbols.
-
 Package: primesieve-doc
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: libjs-jquery,
-         ${misc:Depends}
-Suggests: primesieve (= ${binary:Version}), pdf-viewer, www-browser
+Depends: libjs-jquery, ${misc:Depends}
+Suggests: pdf-viewer, www-browser
+Enhances: primesieve-bin (= ${binary:Version}), libprimesieve7-dev (= ${binary:Version})
 Description: fast prime number generator C/C++ library -- doc
  primesieve is a free software program and C/C++ library that generates
  primes using a highly optimized sieve of Eratosthenes implementation.
