=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,6 @@
 	true
 
 override_dh_prep-arch: README.implementation
-	$(MAKE) -f debian/adhoc/Makefile manpages
 
 override_dh_auto_install-indep:
 	$(MAKE) -C _build install-data-am DESTDIR=$(CURDIR)/debian/tmp
