## primesieve 6.3%2Bds

=== debian/changelog ===
primesieve (6.3+ds-2ubuntu1) bionic; urgency=medium

  * Allow stderr output in autpkgtests to ignore
  * notes emitted by GCC7 on armhf

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 26 Jan 2018 08:35:27 +0000

primesieve (6.3+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/tests/*:
      - d/t/make-check[-bin], revisit (Closes: #884349),
        	thanks to upstream maintainer;
      - d/t/make-check-dev, introduce;
    - debian/copyright, refresh;
    - debian/control:
      - debhelper, bump to 11: (revisit d/primesieve-doc.docs);
        - d/primesieve-doc.docs, revisit;
        - d/t/build-examples, revisit;
        - d/adhoc/examples/c*/Makefile, revisit;
      - Standards Version, bump to 4.1.3 (no change);
    - refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 06 Jan 2018 12:50:07 +0000

primesieve (6.3+ds-1) unstable; urgency=medium

  * New upstream minor release (Closes: #881453, #881678).
  * Debianization:
    - debian/rules, simplify;
    - debian/patches/*:
      - d/p/upstream-fix-cmake_machinery-libatomic.patch, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 24 Nov 2017 13:51:00 +0000

primesieve (6.2+ds-1) unstable; urgency=medium

  * New upstream major release.
  * Debianization:
    - debian/watch, correct;
    - debian/copyright, update;
    - debian/control:
      - debhelper, bump to 10;
      - Standards Version, bump to 4.1.1 (no change);
      - upgrade SO version to version 8;
    - debian/rules:
      - migrate from autotools to cmake machinery (see below);
      - debhelper, bump to 10;
      - refresh;
    - debian/patches/*:
      - d/p/upstream-autotoolization-manpages.patch, discard;
      - d/p/debianization*.patch, discard;
      - d/p/upstream-cmake-install-*.patch, introduce and submit;
    - debian/libprimesieve7.*, bump to version 8;
    - debian/libprimesieve7-dev*.*, bump to versionless;
    - migration from autotools to cmake machinery;
    - refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 11 Nov 2017 05:56:10 +0000
