## primesieve 6.3+ds

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: primesieve
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf, libtool, help2man
+Build-Depends:
+ debhelper (>= 11),
+ cmake, help2man
 Build-Depends-Indep:
  doxygen, doxygen-latex, graphviz,
  rdfind, symlinks
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/primesieve.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/primesieve.git
 Homepage: http://primesieve.org/
@@ -24,7 +27,7 @@
  .
  This dummy package provides the standard installation.
 
-Package: libprimesieve7
+Package: libprimesieve8
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -42,12 +45,12 @@
  .
  This package provides the shared library.
 
-Package: libprimesieve7-dev
+Package: libprimesieve-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
 Depends:
- libprimesieve7 (= ${binary:Version}), libprimesieve7-dev-common (= ${source:Version}),
+ libprimesieve8 (= ${binary:Version}), libprimesieve-dev-common (= ${source:Version}),
  ${misc:Depends}
 Suggests: primesieve-doc (= ${source:Version}), pkg-config
 Conflicts: libprimesieve-dev
@@ -62,14 +65,14 @@
  This package provides the static library and symbolic links needed
  for development.
 
-Package: libprimesieve7-dev-common
+Package: libprimesieve-dev-common
 Architecture: all
 Multi-Arch: foreign
-Replaces: libprimesieve6-dev-common
-Breaks: libprimesieve6-dev-common
+Replaces: libprimesieve7-dev-common
+Breaks: libprimesieve7-dev-common
 Section: libdevel
 Depends: ${misc:Depends}
-Recommends: libprimesieve7-dev (= ${binary:Version})
+Recommends: libprimesieve-dev (= ${binary:Version})
 Provides: libprimesieve-dev-common
 Description: fast prime number generator C/C++ library -- headers
  primesieve is a free software program and C/C++ library that generates
@@ -100,7 +103,7 @@
 Section: doc
 Depends: libjs-jquery, ${misc:Depends}
 Suggests: pdf-viewer, www-browser
-Enhances: primesieve-bin (= ${binary:Version}), libprimesieve7-dev (= ${binary:Version})
+Enhances: primesieve-bin (= ${binary:Version}), libprimesieve-dev (= ${binary:Version})
 Description: fast prime number generator C/C++ library -- doc
  primesieve is a free software program and C/C++ library that generates
  primes using a highly optimized sieve of Eratosthenes implementation.
