=== debian/tests/control ===
Tests: make-check-bin
Depends: primesieve-bin

Tests: make-check-dev
Depends: libprimesieve-dev, build-essential, pkg-config
Restrictions: allow-stderr

Tests: build-examples
Depends: primesieve-doc, libprimesieve-dev, build-essential, pkg-config
