=== debian/changelog ===
primesieve (7.0+ds-3ubuntu1) cosmic; urgency=medium

  * Allow stderr output in autopkgtests for GCC warnings on armhf

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 18 Jun 2018 14:36:25 +0000

primesieve (7.0+ds-3) unstable; urgency=medium

  * RC bug fix release (Closes: #901128), bump library so-suffix.
  * autopkgtests bug fix post-release (Closes: #901098).
  * Debianization:
    - debian/{control,rules}:
      - library so-suffix, bump to 9.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 09 Jun 2018 07:08:21 +0000

primesieve (7.0+ds-2) unstable; urgency=medium

  * autopkgtests bug fix release.
  * Debianization:
    - debian/tests/*:
      - d/t/make-check-dev , refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 09 Jun 2018 06:06:25 +0000

primesieve (7.0+ds-1) unstable; urgency=medium

  * New upstream major release.
  * Debianization:
   - debian/copyright:
      - Format field, secure URI;
    - debian/control:
      - Standards Version, bump to 4.1.4 (no change);
      - Homepage field, secure URI;
      - Vcs-* fields, migration to Salsa;
    - debian/source:
      - d/s/lintian-overrides , update;
    - debian/rules:
      - get-orig-source target, discard;
      - README.implementation.md target, refresh (cascade change);
    - debian/patches:
      - d/p/upstream-fix-cmake_machinery-libatomic.patch , integrated.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 08 Jun 2018 09:28:07 +0000
