=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
 Build-Depends-Indep:
  doxygen, doxygen-latex, graphviz,
  rdfind, symlinks
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/primesieve.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/primesieve.git
-Homepage: http://primesieve.org/
+Standards-Version: 4.1.4
+Vcs-Git: https://salsa.debian.org/science-team/primesieve.git
+Vcs-Browser: https://salsa.debian.org/science-team/primesieve
+Homepage: https://primesieve.org/
 
 Package: primesieve
 Architecture: any
@@ -27,7 +27,7 @@
  .
  This dummy package provides the standard installation.
 
-Package: libprimesieve8
+Package: libprimesieve9
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -50,7 +50,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends:
- libprimesieve8 (= ${binary:Version}), libprimesieve-dev-common (= ${source:Version}),
+ libprimesieve9 (= ${binary:Version}), libprimesieve-dev-common (= ${source:Version}),
  ${misc:Depends}
 Suggests: primesieve-doc (= ${source:Version}), pkg-config
 Conflicts: libprimesieve-dev
